(* uiApplication.mli     Interface for Cocoa Touch UIApplication
 *
 * Copyright (c) 2011 Psellos   http://psellos.com
 * Licensed under the MIT license:
 *     http://www.opensource.org/licenses/mit-license.php
 *)
type sbstyle = 
    | StatusBarStyleDefault
    | StatusBarStyleBlackTranslucent
    | StatusBarStyleBlackOpaque

class type t =
object
    inherit Wrapper.t

    method statusBarStyle : sbstyle
    method setStatusBarStyle' : sbstyle -> unit
end

val sharedApplication : unit -> t
